Int32Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class Int32Serializer

- java.lang.Object
- - org.apache.cassandra.serializers.Int32Serializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Integer>

      public class Int32Serializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Integer>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Int32Serializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Int32Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Integer>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Integer value)`
    `java.lang.String` | `toString(java.lang.Integer value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final Int32Serializer instance

  - ### Constructor Detail

    - #### Int32Serializer

          public Int32Serializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Integer deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Integer>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Integer value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Integer>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Integer>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Integer value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Integer>`

    - #### getType

          public java.lang.Class<java.lang.Integer> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Integer>`

Copyright © 2018 The Apache Software Foundation